      subroutine hec_geoe_epio
c
c read bank GEOE
c
      implicit none
c
c user datacard values common
c
      include'./inc/hec_datacard.inc'
c
c zebra and hbook common
c
      include'./inc/hec_buf.inc'
c
c geometry correspondence tables common
c
      include'./inc/hec_par.inc'
      include'./inc/hec_geo.inc'
c
c adc values common
c
      include'./inc/hec_adc.inc'
c
c local variables
c
      integer ic                !adc channel number
      integer i_t               !time sampling number
      integer ladc              !index of first adc word in adc bank
      integer i_adc
      integer n_adc_epio        !actual number of adc channels read
c
c reset adc array
c
      call vzero(i_adc_ic_t, i_adc_dim*i_tim_dim)
c
c index of first adc in adc bank
c number of adc channels read by epio
c
      if (irunpd .le. 3) then
        ladc = 3
        n_adc_epio = ibankbuf(1) - 1
      else
        ladc = 5
        n_adc_epio = ibankbuf(3)
        if (i_tim_used .ne. ibankbuf(4)) then
          print *, 
     +    ' *** inconsistent number of time samplings in hec_geoe_epio',
     +    i_tim_used, ibankbuf(4)
          stop
        endif
      endif
      if (n_adc_epio .gt. i_adc_dim) then
        print *, ' *** not enough adc in adc arrays in hec_geoe_epio', 
     +  n_adc_epio
        stop
      endif
c     
c fill i_adc_ic_t in hec_adc.inc from data array
c     
      do ic = 1, n_adc_epio
        do i_t = 1, i_tim_used
          i_adc = (ic - 1)*i_tim_used + i_t
          i_adc_ic_t(ic, i_t) = ibankbuf(ladc - 1 + i_adc)
        enddo
      enddo
c
c cabling fixes
c
c fix bad adcs for July 1996 (zero them)
c
      if (irunpd .eq. 2) then
        i_adc_ic(54) = 0
        i_adc_ic(59) = 0
c
c remap to account for recabling in September 1996
c
      elseif (irunpd .eq. 3) then
        i_adc_ic(93)  = i_adc_ic(173)
        i_adc_ic(107) = i_adc_ic(172)
        i_adc_ic(135) = i_adc_ic(169)
        i_adc_ic(121) = 0
        i_adc_ic(149) = 0 
      endif
c     
c     print *, ' *** GEOE read'
c
      end

