      subroutine hec_ini
c
c 03/12/96  ML  improve order of calls to allow proper hbook handling
c 11/03/97  ML  include user_card and hec_card routines.
c 02/05/97  ML  rewritten.  
c               user initialization now after system packages.
c
c initialization routine
c
c  1- sys datacard (ffread) initialization
c  2- user datacard initialization
c  3- read datacards
c  4- data io initialization
c  5- hbook initialization
c  6- fill geometry correspondence tables
c  7- read calibration file if desired
c
      implicit none
c
c datacard values common
c
      include'./inc/hec_datacard.inc'
c
c datacard initialization
c
      call hec_card
c
c user datacard initialization
c
      call user_card
c
c read user datacards
c
      call ffgo
c
c data io initialization
c
      call hec_io_ini
c
c hbook initialization
c
      call hec_hbook_ini
c
c fill geometry correspondence tables and clear channels
c
      call hec_geo
c
c read calibration file if required
c
      if (io_cal(1) .gt. 0) call hec_cal_read
c
      print *,' *** initialization done'
c
      end

