      subroutine hec_ped_evt1
c
c pass 1 pedestal computation event routine
c
      implicit none
c
c event header EVTH common
c
      include'./inc/hec_evth.inc'
c
c event trigger common
c
      include'./inc/hec_trig.inc'
c
c adc values common
c
      include'./inc/hec_par.inc'
      include'./inc/hec_adc.inc'
c
c geometry correspondence tables common
c
      include'./inc/hec_geo.inc'
c
c pedestal computation common
c
      include'./inc/hec_ped_sys.inc'
c
      integer ic                !adc channel number
c
c before the first event, reset the channel arrays
c
      if (i_event .le. 1) then
        i_ped_evt1 = 0
        call vzero(i_adc0_1, i_adc_used)
        call vzero(i_adc1,   i_adc_used)
        call vzero(i_adc2,   i_adc_used)
      endif
c
c only select random trigger events
c
      if (trig_random) then     !random trigger event
        i_ped_evt1 = i_ped_evt1 + 1
c
c gather adc sums
c
        do ic = 1, i_adc_used
          i_adc0_1(ic) = i_adc0_1(ic) + 1
          i_adc1(ic)   = i_adc1(ic) + i_adc_ic(ic)
          i_adc2(ic)   = i_adc2(ic) + i_adc_ic(ic)**2
        enddo
      endif     
c
      end
