      subroutine hec_ped_evt2
c
c pass 2 user event routine
c
      implicit none
c
c event header EVTH common
c
      include'./inc/hec_evth.inc'
c
c event trigger common
c
      include'./inc/hec_trig.inc'
c
c adc values common
c
      include'./inc/hec_par.inc'
      include'./inc/hec_adc.inc'
c
c geometry correspondence tables common
c
      include'./inc/hec_geo.inc'
c
c pedestal common
c
      include'./inc/hec_ped.inc'
c
c common for datacard values
c
      include'./inc/hec_datacard.inc'
c
c pedestal computation common
c
      include'./inc/hec_ped_sys.inc'
c
      integer ic                !adc channel number
c
c before the first event, reset the channel arrays
c
      if (i_event .le. 1) then
        i_ped_evt2 = 0
        call vzero(i_adc0_2, i_adc_used)
        call vzero(i_adc1,   i_adc_used)
        call vzero(i_adc2,   i_adc_used)
      endif
c
c only select random trigger events
c
      if (trig_random) then     !random trigger event
        i_ped_evt2 = i_ped_evt2 + 1
c
c possibilities after pass 1:
c         1- ped>0 and rms>0    all ok
c         2- ped>0 and var<=0   set rms=0.
c         3- ped=0 and rms=0    no data for channel
c
c gather adc sums
c
c apply sigma cut only for case 1
c leave cases 2 and 3 as bad peds
c
        do ic = 1, i_adc_used
          if (abs(real(i_adc_ic(ic)) - adc_ped(ic)) .le.
     +        sc_ped*adc_rms(ic)) then
            i_adc0_2(ic) = i_adc0_2(ic) + 1
            i_adc1(ic)   = i_adc1(ic) + i_adc_ic(ic)
            i_adc2(ic)   = i_adc2(ic) + i_adc_ic(ic)**2
          endif
        enddo
      endif  
c   
      end

