      subroutine user_ana1
c
c user pass 1 analysis
c
c this example user_ana1 routine, at the end of the run, does the
c following:
c - compute the covariance of the pedestal value between the 
c   user selected adc channel and the one above in eta, and
c   print the result
c
      implicit none
c
c user internal variables common
c this is where are the variables used to compute the pedestal
c variance between the picked channel and the one above in eta
c
      include'./user_common.inc'
c
c local variable declarations
c
      real cov
c
c compute the covariance of the pedestal value between the 
c user selected adc channel and the one above in eta
c
      cov = 0.
      if (m_0 .gt. 0) then
        cov = real(m_2ab)/real(m_0) - 
     +        real(m_1a)*real(m_1b)/real(m_0**2)
      endif
c
c print the covariance
c
      print *, ' two channel cluster pedestal covariance (adc) = ', cov
c
      print *, ' *** user pass 1 analysis done'
c
      end
